Política de la versión

En esta página, se explica el funcionamiento del control de versiones de Dataproc Metastore y Apache Hive. El control de versiones te permite unir componentes útiles de Hive que se pueden administrar en un servicio de Dataproc Metastore.

Compatibilidad con versiones de Hive

Dataproc Metastore admite las siguientes versiones de parches estables de Hive:

  • 3.1.2
  • 2.3.6
  • 2.2.0
  • 1.2.2

Ventana de compatibilidad con versiones de Hive

Después de que Dataproc Metastore ofrezca compatibilidad con una versión de parche de Hive, seguirá admitiendo servicios con esa versión de Hive durante un período. Después de que se cierre la ventana de compatibilidad, la versión puede dejar de estar disponible y ya no se admiten los servicios que ejecutan versiones obsoletas. La política de compatibilidad de la versión de Dataproc Metastore se define de la siguiente manera:

Meses después del lanzamiento inicial de la versión de Hive Servicios nuevos Servicios existentes
0-12 Admitido Admitido
12-24 No admitido Admitido
24+ No compatible No compatible

Selección de la versión de Hive

Cuando creas un servicio nuevo, puedes seleccionar la versión del almacén de metadatos de Hive para usar en el servicio. Si no seleccionas una versión, Dataproc Metastore usa la versión 3.1.2 de Hive.